//--------------------------------------------------------
//   F i s i e r u l       s t i v a . h
//   Elaborat: PSG, 01.04.03
//--------------------------------------------------------

#ifndef __STIVA_H_
#define __STIVA_H_
#include "lista.h"

typedef LISTA STIVA;

// initializare stiva
STIVA news();

// inserare element in stiva
STIVA push(STIVA,DATA);

// indepartare element din stiva
STIVA pop(STIVA);

// afisarea elementului din varful stivei
DATA top(STIVA);

// afisarea elementului din varful stivei si stergerea lui
STIVA toppop(STIVA ,DATA *);

// testare stiva vida
LOGIC is_empty(STIVA);

// testare stiva plina
LOGIC is_full(STIVA);

// conversie stiva la sir
char * toStrings(STIVA s, char *zona);

// afisare stiva (recomandabila varianta de afisare cu functia toString())
void afis_stiva (STIVA s);

// eliberare spatiu alocat de stiva
void destroys(STIVA);


#endif
